Bug 10751 - Title should be mandatory for creating suggestions in staff
Summary: Title should be mandatory for creating suggestions in staff
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-18 19:39 UTC by Katrin Fischer
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10751 - Title should be mandatory for creating suggestions in staff (3.00 KB, patch)
2014-02-21 14:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Purchase suggestion in staff, title field is mandatory (19.59 KB, image/png)
2014-02-23 20:15 UTC, Marc Véron
Details
[Signed-off] Bug 10751 - Title should be mandatory for creating suggestions in staff (3.24 KB, patch)
2014-02-24 08:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 10751 - Title should be mandatory for creating suggestions in staff (3.44 KB, patch)
2014-02-24 12:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-08-18 19:39:51 UTC
When creating a suggestion in the staff interface, Title is not a mandatory field like in the OPAC. If you try to add a suggestion without a title it won't be saved.
Comment 1 Owen Leonard 2014-02-21 14:26:35 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-23 20:15:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-02-24 08:09:30 UTC
Hm, I didn't retest - maybe someone implemented it after I filed the bug? If the new patch is more consistent with formatting, maybe it can still be signed off?
Comment 4 Marc Véron 2014-02-24 08:51:12 UTC
Sorry, I mistaked aubout what the patch would do. Sign off follows.
Comment 5 Marc Véron 2014-02-24 08:51:56 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-02-24 08:55:21 UTC
I think it was me - I should have retested. Also Owen write that for him no message appears I think - so maybe there is some other difference we haven't found yet.
Comment 7 Jonathan Druart 2014-02-24 12:18:08 UTC
Created attachment 25577 [details] [review]
Bug 10751 - Title should be mandatory for creating suggestions in staff

The form for adding a new purchase suggestion in the staff client
indicates that the title field is required but does nothing to enforce
this rule. This can be handled client-side with HTML5 validation
attributes and Koha's built-in validation plugin. This patch implements
this.

To test, apply the patch and go to Acquisitions ->
Suggestions -> New purchase suggestion. Try submitting the form without
entering a title. Doing so should trigger a validation warning.

Submission of the form with valid data should work correctly. Editing an
existing suggestion should also work correctly.

The patch displays a message 'Required' near the title field.
After submitting a empty title it changes to 'This field is required'
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
The title field is required since commit
d565fb02e9fca2ac9c506e4e7d44fd8b0d66f06a
This one makes it more consistent with formatting. It makes sense.
Comment 8 Galen Charlton 2014-02-26 16:26:57 UTC
Pushed to master.  Thanks, Owen!
Comment 9 Fridolin SOMERS 2014-05-21 09:24:38 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 10 Kyle M Hall 2014-06-06 13:56:20 UTC
Pushed to 3.12.x will be in 3.12.13